
gvSIG CDT Board - gvSIG  wishlist #3274
Mejorar la arquitectura del instalador de gvSIG
03/14/2015 01:53 PM - Cesar Martinez Izquierdo

Status: Closed Spent time: 0.00 hour
Priority: Normal
Category:
Target version:
Severity: Minor
Description

El instalador de gvSIG tiene varios problemas:
- Se usa un lanzador escrito en C/C++ que está compilado únicamente para 32 bits. Esto provoca que el instalador pete (o haga
petar el gestor de ventanas) en algunas distribuciones modernas de Linux en 64 bits
- Una parte usa installHammer, que ya no está mantenido actualmente (aunque funciona correctamente)
- Si no me equivoco, se incrustan 2 máquinas virtuales de Java dentro (ocupa más de lo necesario)

Habría que repensar la arquitectura para minimizar el código que mantenemos y solucionar los problemas descritos.

History
#1 - 12/21/2015 12:29 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Ha sido sustituido el instalador del installJammer por el IzPack.
Presenta ventajas y otros problemas, pero por lo menos esta mantenido.

#2 - 12/21/2015 12:38 PM - Álvaro Anguix
- Status changed from Fixed to Closed
